<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action( 'vw_spa_lite_above_slider' ); ?>

  <?php if( get_theme_mod('vw_spa_lite_slider_hide_show') != ''){ ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php $vw_spa_lite_slider_pages = array();
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'vw_spa_lite_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $vw_spa_lite_slider_pages[] = $mod;
            }
          }
          if( !empty($vw_spa_lite_slider_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $vw_spa_lite_slider_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <img src="<?php the_post_thumbnail_url('full'); ?>"/ alt="<?php the_title(); ?> post thumbnail image">
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h1><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                  <p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_spa_lite_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_spa_lite_slider_excerpt_number','30')))); ?></p>
                  <?php if( get_theme_mod('vw_spa_lite_slider_button_text','Read More...') != ''){ ?>
                    <div class="more-btn">              
                      <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('vw_spa_lite_slider_button_text',__('Read More...','vw-spa-lite')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_spa_lite_slider_button_text',__('Read More...','vw-spa-lite')));?></span></a>
                    </div>
                  <?php } ?>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
          <?php endif;
        endif;?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Previous','vw-spa-lite' );?></span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Next','vw-spa-lite' );?></span>
        </a>
      </div>  
      <div class="clearfix"></div>
    </section> 
  <?php }?>

  <?php do_action( 'vw_spa_lite_after_slider' ); ?>

  <?php /*--our service section--*/?>
  <?php if( get_theme_mod( 'vw_spa_lite_main_title') != '' || get_theme_mod( 'vw_spa_lite_short_desc' )!= '' || get_theme_mod( 'vw_spa_lite_service_category_setting')!= '') { ?>
    <section id="amazing-service" class="darkbox" >
    	<?php if( get_theme_mod('vw_spa_lite_main_title') != ''){ ?>
    	    <div class="heading-line">
    	      	<h2><?php echo esc_html(get_theme_mod('vw_spa_lite_main_title','')); ?> </h2>
    	      	<p><?php echo esc_html(get_theme_mod('vw_spa_lite_short_desc','')); ?> </p>
    	      	<div class="images_border">
        				<img src="<?php echo esc_html(get_template_directory_uri().'/images/heading-boder.png'); ?>" alt="<?php the_title(); ?> post thumbnail image">
        			</div>
    	    </div>
        <?php } ?>
        <?php do_action( 'vw_spa_lite_after_service' ); ?>
    	<div class="container">
    		<div class="row">
    			<?php 
             $vw_spa_lite_catData1=  get_theme_mod('vw_spa_lite_service_category_setting');
              if($vw_spa_lite_catData1){
    			    $page_query = new WP_Query(array( 'category_name' => esc_html($vw_spa_lite_catData1 ,'vw-spa-lite')));?>
    			  	<?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
    			  		<div class="col-lg-4 col-md-6">
    			  			<div class="amazing-box">
    					    	<div class="amaze-img-box">
    					    		<?php if(has_post_thumbnail()) { ?><?php the_post_thumbnail(); ?><?php } ?>
    					    	</div>
    					    	<div class="amaze-con-box">
    					    		<h3><?php the_title(); ?></h3>
    					    		<p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_spa_lite_string_limit_words( $excerpt,25 ) ); ?></p>
                      <?php if( get_theme_mod('vw_spa_lite_services_button_text','Read More...') != ''){ ?>
    					    		 <a class="r_button"  href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('vw_spa_lite_services_button_text',__('Read More...','vw-spa-lite')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_spa_lite_services_button_text',__('Read More...','vw-spa-lite')));?></span></a>  
                      <?php } ?>
    					    	</div>
    					    </div>
    				    </div>
    				<?php endwhile;
    				wp_reset_postdata(); 
    			}?>
    			<div class="clearfix"></div>
    		</div>
    	</div>
    </section>
  <?php }?>
  <?php do_action( 'vw_spa_lite_after_ourservices' ); ?>

  <div class="container">
  	<?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>